Bug 171564 - [UPDATE PORT] audio/opus (0.9.14 to 1.0.1)
Summary: [UPDATE PORT] audio/opus (0.9.14 to 1.0.1)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Christian Weisgerber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-12 07:50 UTC by Waitman Gobble
Modified: 2012-09-15 20:50 UTC (History)
0 users

See Also:


Attachments
file.shar (2.37 KB, text/plain)
2012-09-12 07:50 UTC, Waitman Gobble
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Waitman Gobble 2012-09-12 07:50:01 UTC

Latest stable release
libopus 1.0.1

This release includes minor updates (mostly related to the the build system) that did not make it to the final RFC. It is full compliant with the Opus specification included in RFC6716.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-09-12 07:50:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->naddy

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-09-15 20:43:15 UTC
Author: naddy
Date: Sat Sep 15 19:42:56 2012
New Revision: 304321
URL: http://svn.freebsd.org/changeset/ports/304321

Log:
  Update to 1.0.1.  Opus has now been standardized by the IETF as RFC 6716.
  
  PR:		171564

Modified:
  head/audio/opus/Makefile
  head/audio/opus/distinfo   (contents, props changed)
  head/audio/opus/pkg-descr   (contents, props changed)
  head/audio/opus/pkg-plist   (contents, props changed)

Modified: head/audio/opus/Makefile
==============================================================================
--- head/audio/opus/Makefile	Sat Sep 15 17:22:33 2012	(r304320)
+++ head/audio/opus/Makefile	Sat Sep 15 19:42:56 2012	(r304321)
@@ -1,12 +1,7 @@
-# New ports collection makefile for:	opus
-# Date created:        2012-07-19
-# Whom:                Christian Weisgerber <naddy@FreeBSD.org>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	opus
-PORTVERSION=	0.9.14
+PORTVERSION=	1.0.1
 CATEGORIES=	audio
 MASTER_SITES=	http://downloads.xiph.org/releases/opus/ \
 		https://ftp.mozilla.org/pub/mozilla.org/opus/
@@ -22,9 +17,6 @@ GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--disable-doc   # requires doxygen
 MAKE_JOBS_SAFE=	yes
 
-# Don't install dummy doxygen-build.stamp
-MAKE_ARGS+=	docdir="" doc_DATA=""
-
 regression-test: build
 	@cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE} check
 

Modified: head/audio/opus/distinfo
==============================================================================
--- head/audio/opus/distinfo	Sat Sep 15 17:22:33 2012	(r304320)
+++ head/audio/opus/distinfo	Sat Sep 15 19:42:56 2012	(r304321)
@@ -1,2 +1,2 @@
-SHA256 (opus-0.9.14.tar.gz) = b1cad6846a8f819a141009fe3f8f10c946e8eff7e9c2339cd517bb136cc59eae
-SIZE (opus-0.9.14.tar.gz) = 727782
+SHA256 (opus-1.0.1.tar.gz) = 80fa5c3caf2ac0fd68f8a22cce1564fc46b368c773a17554887d0066fe1841ef
+SIZE (opus-1.0.1.tar.gz) = 767241

Modified: head/audio/opus/pkg-descr
==============================================================================
--- head/audio/opus/pkg-descr	Sat Sep 15 17:22:33 2012	(r304320)
+++ head/audio/opus/pkg-descr	Sat Sep 15 19:42:56 2012	(r304321)
@@ -1,7 +1,14 @@
-The Opus codec is designed to handle a wide range of interactive
-audio applications, including Voice over IP, videoconferencing,
-in-game chat, and even remote live music performances. It can scale
-from low bit-rate narrowband speech to very high quality stereo
-music.
+Opus is a totally open, royalty-free, highly versatile audio codec.
+It is standardized by the Internet Engineering Task Force (IETF)
+as RFC 6716 which incorporated technology from Skype's SILK codec
+and Xiph.Org's CELT codec.
+
+Opus is designed to handle a wide range of interactive audio
+applications, including Voice over IP, videoconferencing, in-game
+chat, and even live, distributed music performances. It scales from
+low bitrate narrowband speech at 6 kbit/s to very high quality
+stereo music at 510 kbit/s. Opus uses both Linear Prediction (LP)
+and the Modified Discrete Cosine Transform (MDCT) to achieve good
+compression of both speech and music.
 
 WWW: http://opus-codec.org/

Modified: head/audio/opus/pkg-plist
==============================================================================
--- head/audio/opus/pkg-plist	Sat Sep 15 17:22:33 2012	(r304320)
+++ head/audio/opus/pkg-plist	Sat Sep 15 19:42:56 2012	(r304321)
@@ -5,6 +5,7 @@ include/opus/opus_types.h
 lib/libopus.a
 lib/libopus.la
 lib/libopus.so
-lib/libopus.so.0
+lib/libopus.so.2
 libdata/pkgconfig/opus.pc
+share/aclocal/opus.m4
 @dirrm include/opus
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Christian Weisgerber freebsd_committer 2012-09-15 20:46:36 UTC
State Changed
From-To: open->closed

In the future, please submit a diff against the existing port, thanks. 
I have committed an independent update.